rubygem-activemodel-3.1.0-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-activemodel - A toolkit for building modeling frameworks (part of Rails)

Property Value
Distribution CentOS 6
Repository Open Fusion x86_64
Package filename rubygem-activemodel-3.1.0-1.of.el6.noarch.rpm
Package name rubygem-activemodel
Package version 3.1.0
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://www.rubyonrails.org
License GPLv2+ or Ruby
Maintainer -
Download size 116.06 KB
Installed size 476.47 KB
A toolkit for building modeling frameworks like Active Record and Active
Resource. Rich support for attributes, callbacks, validations, observers,
serialization, internationalization, and testing.

Alternatives

Package Version Architecture Repository
rubygem-activemodel-3.2.13-2.el6.R.noarch.rpm 3.2.13 noarch Russian Fedora Free Updates Testing
rubygem-activemodel-3.2.13-2.el6.R.noarch.rpm 3.2.13 noarch Russian Fedora Free Updates Testing
rubygem-activemodel-3.2.6-1.of.el6.noarch.rpm 3.2.6 noarch Open Fusion
rubygem-activemodel-3.2.6-1.of.el6.noarch.rpm 3.2.6 noarch Open Fusion
rubygem-activemodel-3.2.3-1.of.el6.noarch.rpm 3.2.3 noarch Open Fusion
rubygem-activemodel-3.2.3-1.of.el6.noarch.rpm 3.2.3 noarch Open Fusion
rubygem-activemodel-3.1.0-1.of.el6.noarch.rpm 3.1.0 noarch Open Fusion
rubygem-activemodel-3.0.3-2.puias6.noarch.rpm 3.0.3 noarch PUIAS Unsupported
rubygem-activemodel-3.0.3-2.puias6.noarch.rpm 3.0.3 noarch PUIAS Unsupported
rubygem-activemodel - - -

Requires

Name Value
ruby >= 1.8.7
ruby(abi) = 1.8
rubygem(activesupport) = 3.1.0
rubygem(bcrypt-ruby) < 3.1
rubygem(bcrypt-ruby) >= 3.0.0
rubygem(builder) < 3.1
rubygem(builder) >= 3.0.0
rubygem(i18n) < 1
rubygem(i18n) >= 0.6
rubygems >= 0

Provides

Name Value
rubygem(activemodel) = 3.1.0
rubygem-activemodel = 3.1.0-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-activemodel-3.1.0-1.of.el6.noarch.rpm
Source Package rubygem-activemodel-3.1.0-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-x86_64/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-activemodel rpm package:
    # yum install rubygem-activemodel

Files

Path
/usr/lib/ruby/gems/1.8/cache/activemodel-3.1.0.gem
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/CHANGELOG
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/MIT-LICENSE
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/README.rdoc
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/attribute_methods.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/callbacks.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/conversion.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/dirty.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/errors.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/lint.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/mass_assignment_security.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/naming.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/observer_array.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/observing.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/railtie.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/secure_password.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/serialization.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/test_case.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/translation.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validator.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/version.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/locale/en.yml
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/mass_assignment_security/permission_set.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/mass_assignment_security/sanitizer.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/serializers/json.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/serializers/xml.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/acceptance.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/callbacks.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/confirmation.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/exclusion.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/format.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/inclusion.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/length.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/numericality.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/presence.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/validates.rb
/usr/lib/ruby/gems/1.8/gems/activemodel-3.1.0/lib/active_model/validations/with.rb
/usr/lib/ruby/gems/1.8/specifications/activemodel-3.1.0.gemspec

Changelog

2011-09-06 - Gavin Carr <gavin@openfusion.com.au> - 3.1.0-1
- Initial package

See Also

Package Description
rubygem-activerecord-3.1.0-1.of.el6.noarch.rpm Object-relational mapper framework (part of Rails)
rubygem-activerecord-3.2.3-1.of.el6.noarch.rpm Object-relational mapper framework (part of Rails)
rubygem-activerecord-3.2.6-1.of.el6.noarch.rpm Object-relational mapper framework (part of Rails)
rubygem-activeresource-3.1.0-1.of.el6.noarch.rpm REST modeling framework (part of Rails)
rubygem-activeresource-3.2.3-1.of.el6.noarch.rpm REST modeling framework (part of Rails)
rubygem-activeresource-3.2.6-1.of.el6.noarch.rpm REST modeling framework (part of Rails)
rubygem-activesupport-3.0.3-1.of.el6.noarch.rpm A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
rubygem-activesupport-3.1.0-1.of.el6.noarch.rpm A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
rubygem-activesupport-3.2.3-1.of.el6.noarch.rpm A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
rubygem-activesupport-3.2.6-1.of.el6.noarch.rpm A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
rubygem-addressable-2.2.4-1.of.el6.noarch.rpm URI Implementation
rubygem-addressable-2.2.6-1.of.el6.noarch.rpm URI Implementation
rubygem-albino-1.3.3-1.of.el6.noarch.rpm Ruby wrapper for pygmentize
rubygem-amq-client-0.8.3-1.of.el6.noarch.rpm amq-client is a fully-featured, low-level AMQP 0.9.1 client
rubygem-amq-protocol-0.8.1-1.of.el6.noarch.rpm AMQP 0.9.1 encoder & decoder
Advertisement
Advertisement